Metadata-Version: 2.4
Name: ashlar-saas
Version: 0.1.9
Summary: A quick way to set up a Django SaaS application with a custom User model
Classifier: Framework :: Django
Classifier: License :: OSI Approved :: MIT License
Classifier: Programming Language :: Python :: 3
Requires-Python: <4,>=3.12
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: django>=4.2
Requires-Dist: django-prometheus>=2.4.0
Requires-Dist: django-scopes>=2.0.0
Requires-Dist: factory-boy>=3.3.3
Requires-Dist: pylint-django>=2.7.0
Dynamic: license-file

# Ashlar-SaaS

A SaaS structure for Django

# Usage
Add the user model to your settings:
```python
AUTH_USER_MODEL = 'account.User'
```

Add this to your MIDDLEWARE, after `django.contrib.auth.middleware.AuthenticationMiddleware`:
```python
[
    'account.middleware.TenantMiddleware',
]
```
